Logic Validation fails on OSX 10.11.5


#1

Hey guys,
i got a problem on my OSX 10.11.5 System with Logic Pro X 10.2.3
The Validation Fails with the follow Error Code:

validating Audio Unit TestProjekt by yourcompany

AU Validation Tool
Version: 1.6.1a1 
Copyright 2003-2013, Apple Inc. All Rights Reserved.
Specify -h (-help) for command options

VALIDATING AUDIO UNIT: ‘aufx’ - ‘Zfh7’ - ‘0054414D’

Manufacturer String: yourcompany
AudioUnit Name: TestProjekt
ERROR: Error from retrieving Component Version: -192
Component’s Bundle Version: 1.3.7

    • FAIL

TESTING OPEN TIMES:
COLD:
JUCE v4.2.1
Time to open AudioUnit: 10.387 ms
WARM:
Time to open AudioUnit: 0.511 ms
WARNING: Error from retrieving Component Version for resource: -192
FIRST TIME:
2016-06-16 14:39:25.674 auvaltool[3052:549059] 14:39:25.674 WARNING: 140: This application, or a library it uses, is using the deprecated Carbon Component Manager for hosting Audio Units. Support for this will be removed in a future release. Also, this makes the host incompatible with version 3 audio units. Please transition to the API’s in AudioComponent.h.
Time for initialization: 0.133 ms
Connection closed
0
Status :: 0
Status :: 17
Connection closed
0
Connection closed
0
Connection closed
0
Connection closed
0
Connection closed
0
Status :: 0
Status :: 17

    • PASS

AU VALIDATION FAILED: CORRECT THE ERRORS ABOVE.

that’s all :frowning:
On my macbook (10.7) and my Mac mini (10.11.2) I didn’t have that Problem(both Logic Pro X 10.2.3) and the component version is shown right.
Any idea whats going wrong?

Kindly Regards


#2

Could be somehting to do with resources. Try doing a clean build, I seem to remember that Xcode doesn’t always update all of the version info otherwise (if you just change the version in the Intro/Projucer, save and rebuild).


#3

already tryed no change :frowning: